Bug 14477 - Cannot open the context menu with the standard keyboard shortcut
Summary: Cannot open the context menu with the standard keyboard shortcut
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Major
Assignee: Nobody
URL: http://www.webcitation.org/5PzDSQ72J
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2007-06-30 08:43 PDT by Benjamin Hawkes-Lewis
Modified: 2008-07-24 11:38 PDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Hawkes-Lewis 2007-06-30 08:43:25 PDT
VoiceOver includes a keyboard shortcut for opening contextual menus: control + option + shift with M. But this does not appear to work with web content items (images, text, links, etc.) in Safari 2.0 or WebKit trunk, although it seems to work in the Chrome. Note: this isn't the same issue as whether WebKit should have an additional shortcut for triggering the context menu available to all users; this is a VoiceOver feature that correct use of the Apple Accessibility API should allow to "just work".
Comment 1 Mark Rowe (bdash) 2007-07-02 06:13:04 PDT
Can you please provide step-by-step instructions for reproducing this issue?  I'm not familiar with VoiceOver but would like to verify this bug, so having steps to do so would be great.
Comment 2 Benjamin Hawkes-Lewis 2007-07-02 10:51:12 PDT
Well, exactly how one controls VoiceOver depends a bit on your configuration. So let's trying making our configurations similar:

1. In Keyboard & Mouse within System Preferences, find the Keyboard Shortcuts tab and select "press Tab to move the focus between all controls".
2. In Universal Access within System Preferences, tick "Enable access for assistive devices".
3. Then Open the VoiceOver Utility, select the Navigation tab.
4. Tick all but the last item under General Navigation.
5. Tick only "Keyboard focus tracks VoiceOver cursor" under the Cursor Tracking tab.
6. Tick both checkboxes under Text Selection Tracking.

 Right, now try this:

1. Open Safari to the test page (which is just an example).
2. Start VoiceOver (splodge-f5).
3. Make sure you're in the Safari window.
4. Ctrl + option  + down  until you reach "HTML Content".
5. Ctrl + option + shift + down to start interacting with "HTML Content".
6. Press ctrl  + option + down to move between items within the "HTML Content". You should see an accessibility cursor moving around as a black rectangle.
7. Press ctrl + option + shift +  M to attempt to open the context menu for the selected item.
 
Comment 3 Alexey Proskuryakov 2007-07-06 04:52:11 PDT
Confirmed with r23922.
Comment 4 David Kilzer (:ddkilzer) 2007-07-07 08:55:51 PDT
<rdar://problem/5319298>
Comment 5 chris fleizach 2008-07-24 11:38:45 PDT
fixed